#include <stdio.h>

#define NONET(X) { fprintf(stderr, "Network not implemented: %s\n", #X); }
#define NORET(X) { fprintf(stderr, "Network not implemented: %s\n", #X); return 0; }

typedef void *SocketPtr;

int  sqNetworkInit(int resolverSemaIndex)			      	NORET(sqNetworkInit)
void sqNetworkShutdown(void)                                            NONET(sqNetworkShutdown)
void sqSocketAbortConnection(SocketPtr s)                               NONET(sqSocketAbortConnection)
void sqSocketCloseConnection(SocketPtr s)                               NONET(sqSocketCloseConnection)
int  sqSocketConnectionStatus(SocketPtr s)                              NORET(sqSocketConnectionStatus)
void sqSocketConnectToPort(SocketPtr s, int addr, int port)             NONET(sqSocketConnectToPort)
void sqSocketCreateNetTypeSocketTypeRecvBytesSendBytesSemaID(            
	SocketPtr s, int netType, int socketType,        
        int recvBufSize, int sendBufSize, int semaIndex)		NONET(sqSocketCreateNetTypeSocketTypeRecvBytesSendBytesSemaID)
void sqSocketDestroy(SocketPtr s)                                       NONET(sqSocketDestroy)
int  sqSocketError(SocketPtr s)                                         NORET(sqSocketError)
void sqSocketListenOnPort(SocketPtr s, int port)                        NONET(sqSocketListenOnPort)
int  sqSocketLocalAddress(SocketPtr s)                                  NORET(sqSocketLocalAddress)
int  sqSocketLocalPort(SocketPtr s)                                     NORET(sqSocketLocalPort)
int  sqSocketReceiveDataAvailable(SocketPtr s)                          NORET(sqSocketReceiveDataAvailable)
int  sqSocketReceiveDataBufCount(SocketPtr s, int buf, int bufSize)     NORET(sqSocketReceiveDataBufCount)
int  sqSocketRemoteAddress(SocketPtr s)                                 NORET(sqSocketRemoteAddress)
int  sqSocketRemotePort(SocketPtr s)                                    NORET(sqSocketRemotePort)
int  sqSocketSendDataBufCount(SocketPtr s, int buf, int bufSize)        NORET(sqSocketSendDataBufCount)
int  sqSocketSendDone(SocketPtr s)                                      NORET(sqSocketSendDone)
void sqResolverAbort(void)                                              NONET(sqResolverAbort)
void sqResolverAddrLookupResult(char *nameForAddress, int nameSize)     NONET(sqResolverAddrLookupResult)
int  sqResolverAddrLookupResultSize(void)                               NORET(sqResolverAddrLookupResultSize)
int  sqResolverError(void)                                              NORET(sqResolverError)
int  sqResolverLocalAddress(void)                                       NORET(sqResolverLocalAddress)
int  sqResolverNameLookupResult(void)                                   NORET(sqResolverNameLookupResult)
void sqResolverStartAddrLookup(int address)                             NONET(sqResolverStartAddrLookup)
void sqResolverStartNameLookup(char *hostName, int nameSize)            NONET(sqResolverStartNameLookup)
int  sqResolverStatus(void)                                             NORET(sqResolverStatus)
